@import url('https://fonts.googleapis.com/css2?family=Oxanium:wght@200..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    scroll-behavior: smooth;
    box-sizing: border-box;
}

body {
    font-family: "Oxanium", sans-serif;
}


section.coming {
    background-color: rgb(24, 59, 53);
    position: relative;
}
section.coming::before {
    content:"";
    position:absolute;
    right:0;
    bottom:0;
    width:60%;
    height:100%;
    background-image: url(/assets/img/sebabg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: left;
    /* opacity:.1 */
    
}

.cont {
    width: 90.2778%;
    max-width: 1290px;
    margin: 0 auto;
}
.coming-wrap {
    flex-direction: column;
    justify-content: center;
    min-height: 100svh;
    padding-top: clamp(40px,2.5vw + 24px,60px);
    padding-bottom: clamp(40px,2.5vw + 24px,60px);
    display: flex;
}
.coming-logo {
    opacity: 0;
    will-change: transform,opacity,filter;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    max-width: clamp(220px,15.7635vw + 153.005px,380px);
    animation: 1.2s cubic-bezier(.22,1,.36,1) .1s forwards blurFadeIn;
    transform: translateZ(0);
    margin-bottom: clamp(28px,1.5vw + 18.4px,40px);
}
.coming-logo img {
    width: 100%;
    max-width: 100%;
}

h1.coming-title {
    opacity: 0;
    filter: blur(10px);
    color: #fff;
    font-size: clamp(34px,1.52381vw + 28.0571px,50px);
    font-weight: 500;
    line-height: 1.1275;
    font-family: var(--font-second);
    text-transform: uppercase;
    text-align: left;
    width: 100%;
    max-width: 820px;
    margin-bottom: clamp(16px,1.19048vw + 6.85714px,24px);
    animation: 1.4s cubic-bezier(.22,1,.36,1) .3s forwards blurFadeInScale;
    transform: translateY(15px)scale(.98);
    /* display: block; */
}
.coming-text,.coming-wrap h4 {
    opacity: 0;
    filter: blur(8px);
    width: 100%;
    animation: 1.2s cubic-bezier(.22,1,.36,1) .5s forwards blurFadeIn;
    position: relative;
    transform: translateY(15px);
}

.coming-wrap h4 {
    color: #fff;
    text-align: left;
    width: fit-content;
    font-size: clamp(16px,.75vw + 11.2px,22px);
    font-weight: 400;
    line-height: 1.3;
    display: block;
    max-width: 700px;
    margin-bottom: clamp(16px,1.19048vw + 6.85714px,24px);
}

.coming-content a  {
    background-image: linear-gradient(90deg, #B8DB42 0%, #e0ff76 50%, #fff 50%, #fff 100%);
    -webkit-text-fill-color: transparent;
    background-position: 0 0;
    background-size: 200% 100%;
    -webkit-background-clip: text;
    background-clip: text;
    font-weight: 300;
    transition: all .3s;
    position: relative;
    margin-bottom: clamp(10px,.297619vw + 7.71429px,12px);
    font-size: clamp(16px, .75vw + 11.2px, 22px);
    font-weight: 300;
    line-height: 1.3;
    text-decoration: none;
}

.coming-content a:before {
    content: "";
    background-image: linear-gradient(90deg, #B8DB42 0%, #e0ff76 50%, #fff 50%, #fff 100%);
    z-index: 0;
    background-position: 0 0;
    background-size: 200% 100%;
    width: 100%;
    height: 1px;
    transition: all .3s ease-in-out;
    position: absolute;
    bottom: 0px;
    left: 0;
}

.coming-content a:hover {
    background-position: -100% 0;
}   
.coming-content a:hover:before {
    background-position: -100% 0;
    width: 65%;
}
.coming-socials {
    opacity: 0;
    align-items: center;
    gap: clamp(20px,1.78571vw + 6.28571px,32px);
    width: fit-content;
    animation: 1s cubic-bezier(.22,1,.36,1) .7s forwards blurFadeIn;
    display: flex;
}

.coming-socials a {
    font-size: 18px;
    font-weight: 300;
    line-height: 1.3;
    color: #fff;
}
.coming-content > span {
    display: block;
    margin-bottom: clamp(1.00rem, calc(0.429rem + 1.190vw), 1.50rem);
}

a.coming-social {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    text-decoration: none;
}

.linkedin-img {
    width: 35px;
    height: 30px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    background-image: linear-gradient(90deg, #B8DB42 0%, #e0ff76 50%, #fff 50%, #fff 100%);
    background-position: 0 0;
    background-size: 200% 100%;
    font-size: 22px;
    transition: all .3s;
    display: flex;
}

.coming-social:hover .linkedin-img {
    background-position: -100% 0;
}




@keyframes blurFadeIn {
0% {
    opacity: 0;
    filter: blur(8px);
    transform: translateY(15px);
}
100% {
    opacity: 1;
    filter: blur();
    transform: translateY(0);
}
}

@keyframes blurFadeInScale {
0% {
    opacity: 0;
    filter: blur(10px);
    transform: translateY(15px) scale(.98);
}
100% {
    opacity: 1;
    filter: blur();
    transform: translateY(0) scale(1);
}
}

@media(max-width:576px){
    section.coming::before {
    width: 50%;
    height: 40%;
}
}